Error when configuring 3DS Max 2009 -- FSModelExp.dle

Michael Shippy
Lockheed Martin
Posts: 11
Joined: Wed Jul 13, 2011 9:00 pm

Postby Michael Shippy » Tue Jul 19, 2011 11:06 am

I recently installed Prepar3D and was in the process of getting 3DS Max 2009 (Max) set up to produce models that can be used in the simulator. Following the instructions in the SDK Learning Center, I set up a User Path to point to the Prepar3D SDK Plugins folder, then shut down Max.



When I relaunched Max a couple minutes later, I received the following error:



Code:

DLL <C:\Program Files\Lockheed Martin\Prepar3D SDK 1.1.2771.0\Environment Kit\Modeling SDK\3DSM2009\Plugins\FSModelExp.dle> doesn't implement the following functions:
LibVersion
LibDescription
LibNumberClasses
LibClassDesc




That error box repeated three more times, then Max finally opened. No new menu options were available (the Learning Center said a new option called "Aces Tools" should appear).



I've tried this three times and am fairly confident I'm following the procedure. Is there something I'm missing here?

User avatar
Beau Hollis
Lockheed Martin
Posts: 2116
Joined: Wed Oct 06, 2010 3:25 pm

Postby Beau Hollis » Tue Jul 19, 2011 2:03 pm

A new set of beta tools are available which fix several issues with the existing tools as well as adding support for newer versions of Max. I believe this problem has already been fixed. Check out this post for the details.



http://www.prepar3d.com/forum-5/?mingleforumaction=viewtopic&t=303



If the problem persists, please post the error in the beta tools thread.



Thanks,

Beau
Beau Hollis
Prepar3D Software Architect

Michael Shippy
Lockheed Martin
Posts: 11
Joined: Wed Jul 13, 2011 9:00 pm

Postby Michael Shippy » Tue Jul 19, 2011 2:15 pm

Thanks Beau. The same problem still occurs after installing the new beta tools, so I'll copy the error to the beta tools thread as you suggested.

Michael Shippy
Lockheed Martin
Posts: 11
Joined: Wed Jul 13, 2011 9:00 pm

Postby Michael Shippy » Fri Jul 22, 2011 9:06 am

In case someone stumbles across this thread, the problem was that the install set up two sets of DLE and GUP files in my 3DSM2009 folder.



You should have these three files:



Max2009_FSModelExp.dle

Max2009_MaxUtils.gup

Max2009_MaxXML.gup



...but not these three files:



FSModelExp.dle

MaxUtils.gup

MaxXML.gup



Many thanks to Orsor for the fix!


Return to “Software Development Kit (SDK) Questions”

Who is online

Users browsing this forum: No registered users and 10 guests